Name:           movit
Version:        1.0.3
Release:        2%{?dist}
Summary:        Video filters for the GPU

License:        GPLv2+
URL:            http://movit.sesse.net/
Source0:        http://movit.sesse.net/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.0.3-libs.patch

BuildRequires:  fftw-devel
BuildRequires:  glew-devel
BuildRequires:  eigen3-devel
BuildRequires:  gtest-devel
BuildRequires:  SDL-devel


%description
Movit provides high-performance, high-quality video filters for the GPU.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       glew-devel
Requires:       eigen3-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
make %{?_smp_mflags} TESTS=


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# fix permissions
chmod +x $RPM_BUILD_ROOT%{_libdir}/*.so.*


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc
%{_libdir}/*.so.*
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/%{name}/

%files devel
%doc
%{_includedir}/%{name}/
%{_libdir}/*.so


%changelog
* Tue Apr  8 2014 Dan Horák <dan@danny.cz> - 1.0.3-2
- add Requires to devel subpackage
- fix libs handling in pkgconfig

* Tue Apr  8 2014 Dan Horák <dan@danny.cz> - 1.0.3-1
- initial Fedora package
